# $Revision: 1.47 $, $Date: 2008/11/07 20:50:38 $
Summary:	An X Window System graphical chessboard
Summary(de.UTF-8):	X11-Schnittstelle für GNU-Schach
Summary(es.UTF-8):	Interface X11 para el ajedrez de la GNU
Summary(fr.UTF-8):	Interface X11 au jeu d'échecs de GNU
Summary(pl.UTF-8):	Graficzna szachownica dla X Window
Summary(pt_BR.UTF-8):	Interface X11 para o xadrez da GNU
Summary(ru.UTF-8):	Графический (X11) интерфейс к шахматным программам
Summary(tr.UTF-8):	GNU Chess (satranç) oyununa X11 grafik arabirimi
Summary(uk.UTF-8):	Графічний (X11) інтерфейс до шахових програм
Name:		xboard
Version:	4.2.7
Release:	7
License:	GPL
Group:		X11/Applications/Games
Source0:	http://ftp.gnu.org/gnu/xboard/%{name}-%{version}.tar.gz
# Source0-md5:	b70ad8ff7569975302c5fb402d5eea32
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-info.patch
Patch1:		%{name}-lowtime-warning.patch
Patch2:		%{name}-hilight-threatened-pieces.patch
Patch3:		%{name}-xtname.patch
Patch4:		%{name}-default-program.patch
URL:		http://www.tim-mann.org/xboard.html
BuildRequires:	automake
BuildRequires:	texinfo
Suggests:	gnuchess
Suggests:	crafty
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xboard is an X Window System based graphical chessboard which can be
used with the GNUchess and Crafty chess programs, with Internet Chess
Servers (ICSs), with chess via email, or with your own saved games.

%description -l de.UTF-8
xboard stellt eine einfach zu bedienende, grafische Oberfläche für
GNU-Schach bereit, so daß Sie sich in stundenlange Schachkämpfe
verwickeln können, ohne komplizierte Befehle lernen zu müssen.Es läßt
sich auch als Frontend zum Austragen von Schachpartien gegen andere
Internet-Benutzer einsetzen.

%description -l es.UTF-8
xboard te ofrece una interface gráfica fácil de usar para el programa
de ajedrez de GNU, permitiendo que aproveches horas de la ación
intelectual sin tener que aprender comandos complicados.

%description -l fr.UTF-8
xboard vous offre une interface graphique facile à utiliser pour le
jeu d'échecs de GNU. Il vous permet d'apprécier les heures de
réflexion des échecs sans avoir à apprendre des commandes complexes.
Il peut aussi être utilisé comme frontal pour jouer aux échecs avec
d'autres personnes sur l'Internet.

%description -l pl.UTF-8
Xboard to graficzna szachownica pod X Window System, używana z
programami szachowymi GNUchess i Crafty, serwerami Internet Chess
(ICS), z szachami przez pocztę elektroniczną itd.

%description -l pt_BR.UTF-8
xboard oferece a você uma interface gráfica fácil de usar para o
programa de xadrez da GNU, permitindo você aproveitar horas da ação
intelectual sem ter que aprender comandos complicados.

%description -l ru.UTF-8
Xboard - это графический интерфейс к шахматным программам, который
может быть использован с программами GNUchess и Crafty, с шахматными
серверами в Интернете (ICS), с шахматами по электронной почте или с
сохраненными записями игр.

%description -l tr.UTF-8
xboard, GNU chess programına grafik arabirimi ekleyerek kullanımı
kolay ve rahat bir ortam sunar. Saatler boyunca kafa yorabilirsiniz.
Internet üzerinden arkadaşınızla da oynayabilirsiniz.

%description -l uk.UTF-8
Xboard - це графічний інтерфейс до шахових програм, який може бути
використаний з програмами GNUchess та Crafty, з шаховими серверами в
Інтернеті (ICS), з шахами по електронній пошті чи із збереженими
записами ігор.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%{__make} info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	man6dir=$RPM_BUILD_ROOT%{_mandir}/man6 \
	infodir=$RPM_BUILD_ROOT%{_infodir}

echo '.so xboard.6' > $RPM_BUILD_ROOT%{_mandir}/man6/cmail.6
echo '.so xboard.6' > $RPM_BUILD_ROOT%{_mandir}/man6/pxboard.6

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cmail
%attr(755,root,root) %{_bindir}/pxboard
%attr(755,root,root) %{_bindir}/xboard
%attr(755,root,root) %{_bindir}/zic2xpm
%{_mandir}/man6/cmail.6*
%{_mandir}/man6/pxboard.6*
%{_mandir}/man6/xboard.6*
%{_mandir}/man6/zic2xpm.6*
%{_infodir}/xboard.info*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xboard.spec,v $
Revision 1.47  2008/11/07 20:50:38  arekm
- release 7

Revision 1.46  2008/04/08 08:24:55  glen
- unify ftp.gnu.org urls

Revision 1.45  2008-01-24 01:23:03  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.44  2007-11-18 11:12:57  blues
- Suggests crafty too

Revision 1.43  2007-11-18 11:09:06  blues
- rel.6, suggests gnuchess

Revision 1.42  2007/07/27 22:24:43  blues
- typo

Revision 1.41  2007/07/27 22:20:56  blues
- there is no need to set the same secondary and primary program

Revision 1.40  2007/07/27 22:09:27  blues
- rel.5 - added patches from MDK: hilight-threatened-pieces,
  lowtime-warning and xtname

Revision 1.39  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.38  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.37  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.36  2004/11/10 20:01:49  ankry
- ven -> ve in desktop, rel. 4

Revision 1.35  2004/07/22 11:02:19  ankry
- fixed desktop, rel. 3

Revision 1.34  2004/07/03 21:46:34  havner
- rel up

Revision 1.33  2004/07/03 21:46:18  havner
- applnk -> vfolders

Revision 1.32  2004/03/08 23:20:48  adamg
- refresh config.sub
- BuildRequires: automake

Revision 1.31  2003/12/01 18:53:43  qboosh
- new Source0 URL, updated to 4.2.7, updated info patch

Revision 1.30  2003/11/24 13:16:33  qboosh
- moved to standard prefix, removed unused BR autoconf; release 8

Revision 1.29  2003/11/24 12:01:06  speedy
- release 7

Revision 1.28  2003/11/24 11:48:15  speedy
- regenerate config.* only (athlon problem)

Revision 1.27  2003/11/24 11:32:25  speedy
- full regenerate ac/am

Revision 1.26  2003/11/24 11:20:48  speedy
- release 6

Revision 1.25  2003/05/28 13:03:03  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:28:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2002/11/19 23:54:24  ankry
- removed -rh patch: it is broken or incompatible with PLD
- release 5

Revision 1.22  2002/11/11 12:55:08  kloczek
- updated to 4.2.6,
- merged translations from old BeroLinux, KSI, Conctiva,
- added URL and updated Source url,
- remove wmconfig file,
- added info patch,
- merge rh1 patch from RH,
- new icon for xboard based on openstepicons Chess.App-ChessApp.xpm icon.

Revision 1.21  2002/11/11 03:35:02  ankry
- req. gnuchess
- added desktop, cleaning
- rel. 5

Revision 1.20  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/05/21 23:15:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreign/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/02/23 05:10:59  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:15:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/13 21:52:54  speedy
- BuildRequires: texinfo

Revision 1.14  2001/11/01 14:49:35  agaran
s/configure/configure2_13/

Revision 1.13  2001/10/09 13:19:16  qboosh
- pl description, BR: ac,am, removed gzipping man&info

Revision 1.12  2001/09/28 14:15:18  blues
- release 4
- ac2.5 ready

Revision 1.11  2001/08/22 17:30:03  filon
- removed stripping executables, it's done by rpm automation

Revision 1.10  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %%p{re,ost}{,un}

Revision 1.8  2000/06/09 07:24:10  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.6  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.5  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file
- built package for 6.0

* Sat Jul 11 1998 Mike Wangsmo <wanger@redhat.com>
- updated to a new version
- buildrooted the package too

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
